Chief Tools Logo
Account Chief API v1

Endpoints for viewing applications connected to a team.


List connected applications

GET
https://account.chief.app/api
/v1/teams/{teamSlug}/apps
OpenID Connect
or
Bearer (ctp_*)
or
Bearer (ctt_*)

List all applications connected to a team.

List connected applications › path Parameters

teamSlug
​string · required

team slug

List connected applications › query Parameters

page
​integer · min: 1

Page number to return.

Default: 1
per_page
​integer · min: 1 · max: 100

Number of items to return per page.

Default: 50

List connected applications › Responses

Paginated set of TeamConnectedApp

​TeamConnectedApp[] · required
​object · required
​object · required

Show connected application

GET
https://account.chief.app/api
/v1/teams/{teamSlug}/apps/{appId}
OpenID Connect
or
Bearer (ctp_*)
or
Bearer (ctt_*)

Retrieve a single application connected to a team.

Show connected application › path Parameters

teamSlug
​string · required

team slug

appId
​string · required

application identifier

Show connected application › Responses

TeamConnectedApp

​TeamConnectedApp · required